=== added file 'codeigniter/application/controllers/ExamplesController.php'
--- codeigniter/application/controllers/ExamplesController.php	1970-01-01 00:00:00 +0000
+++ codeigniter/application/controllers/ExamplesController.php	2013-04-22 09:51:59 +0000
@@ -0,0 +1,48 @@
+<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
+
+class ExamplesController extends CI_Controller {
+
+	/**
+	 * Index Page for this controller.
+	 *
+	 * Maps to the following URL
+	 * 		http://example.com/index.php/welcome
+	 *	- or -  
+	 * 		http://example.com/index.php/welcome/index
+	 *	- or -
+	 * Since this controller is set as the default controller in 
+	 * config/routes.php, it's displayed at http://example.com/
+	 *
+	 * So any other public methods not prefixed with an underscore will
+	 * map to /index.php/welcome/<method_name>
+	 * @see http://codeigniter.com/user_guide/general/urls.html
+	 */
+	public function index()
+	{
+		/* headData manages the <head>-tag and loads corresponding CSS.
+		 * The views that are entered will load CSS with same name.
+		 * Ex. test_header will load test_header.css
+		 */
+		$headData['list'] = array('header', 'examplesMenu', 'examplesBody');
+		$this->load->view('headTag', $headData);
+		$this->load->view('header');
+		
+		// menuData loads items to the menu.
+		$menuData['list'] = array('Quizzes', 'JavaScript', 'jQuery', 'AJAX API', 'SQL', 'PHP', 'Rollekunskap');
+		$this->load->view('examplesMenu', $menuData);
+		
+		// examples matrix loads headers and example titles to the body.
+		$examples['titles'] = Array(
+			'JavaScript' => Array('Example0', 'Example1', 'Example2'),
+			'jQuery' => Array('Example0', 'ruben', 'Example2'),
+			'AJAX API' => Array('Example0', 'Example1', 'Example2'),
+			'SQL' => Array('Example0', 'Example1', 'Example2'),
+			'PHP' => Array('Example0', 'Example1', 'Example2'),
+			'Rollekunskap' => Array('Rolle', 'is', 'awsome', 'because', 'he', 'can', 'fix', 'stuffs')
+		);
+		$this->load->view('examplesBody', $examples);	
+	}
+}
+
+/* End of file welcome.php */
+/* Location: ./application/controllers/welcome.php */
\ No newline at end of file

=== added file 'codeigniter/application/views/examplesBody.php'
--- codeigniter/application/views/examplesBody.php	1970-01-01 00:00:00 +0000
+++ codeigniter/application/views/examplesBody.php	2013-04-22 09:51:59 +0000
@@ -0,0 +1,16 @@
+	<div id="bodyContainer">
+		<div class="pinkBanner">
+			<h1 name="Quizzes">Quizzes</h1>
+		</div>
+		<!-- Loops down below makes it possible to load values from a source -->
+	<?php foreach ($titles as $key => $value):?>
+		<div class="blueBanner">
+				<h1 name="<?php echo $key;?>"><?php echo $key;?></h1>
+			</div>
+			<?php foreach ($value as $page):?>
+	<p><a href="#"><?php echo $page;?></a></p>
+			<?php endforeach;?>	
+	<?php endforeach;?>	
+	</div>
+</body>
+</html>
\ No newline at end of file

=== added file 'codeigniter/application/views/examplesMenu.php'
--- codeigniter/application/views/examplesMenu.php	1970-01-01 00:00:00 +0000
+++ codeigniter/application/views/examplesMenu.php	2013-04-22 09:51:59 +0000
@@ -0,0 +1,12 @@
+	<div id="menuContainer">
+		<div id="navigation">
+			<ul>
+					<li class="menuHeader">Quick links</li>
+					<!-- Loads menu items from array -->
+				<?php foreach ($list as $item):?>
+	<a href="#<?php echo $item;?>" class="menuLink"><li><?php echo $item;?></li></a>
+				<?php endforeach;?>			
+			</ul>
+		</div>
+	</div>
+	<div id="wrapper">

=== added file 'codeigniter/application/views/headTag.php'
--- codeigniter/application/views/headTag.php	1970-01-01 00:00:00 +0000
+++ codeigniter/application/views/headTag.php	2013-04-22 09:51:59 +0000
@@ -0,0 +1,11 @@
+<html>
+<head>
+	<meta http-equiv="content-type" content="text/html;charset=UTF-8">
+	<!-- Loads CSS for each view entered in array -->
+	<?php foreach ($list as $item):?>
+<link rel="stylesheet" href="<?php echo base_url();?>codeigniter/css/<?php echo $item;?>.css" type="text/css" media="screen"/>
+	<?php endforeach;?>
+<script type="text/javascript" src="http://wwwlab.iki.his.se/~gush/Webbprogrammering/jquery/jquery-1.8.2.min.js"></script>
+	<script type="text/javascript" src="../js/head_tag.js"></script>
+</head>
+<body>

=== added file 'codeigniter/application/views/header.php'
--- codeigniter/application/views/header.php	1970-01-01 00:00:00 +0000
+++ codeigniter/application/views/header.php	2013-04-22 09:51:59 +0000
@@ -0,0 +1,6 @@
+	<div id="header">
+		<div id="logoContainer">
+			<a href="#" class="logo" title="Back to startpage">haha poo xD!</a>
+			<span class="title">Webbprogrammering</span>
+		</div>
+	</div>

=== added file 'codeigniter/css/examplesBody.css'
--- codeigniter/css/examplesBody.css	1970-01-01 00:00:00 +0000
+++ codeigniter/css/examplesBody.css	2013-04-22 09:51:59 +0000
@@ -0,0 +1,67 @@
+body {
+	font: 13px Helvetica;
+	text-shadow: 0.3px 0.3px #ddd;
+	color: #4F5155;
+	height:1500px;
+}
+
+h1{
+	font-size: 18px;
+	line-height:200%;
+	color: #fff;
+	margin:0;
+	margin-left:10px;
+}
+
+h3{
+	font-size:16px;
+	color:#333;
+	margin-top:3px;
+	margin-bottom:3px;
+	margin-left:0px;
+	margin-right:0px;
+}
+
+p{
+	margin:0;
+	font-size:16px;
+}
+
+a:link{
+	color:#4F5155;
+	text-decoration:none;
+}
+
+a:visited{
+	color:#4F5155;
+	text-decoration:none;
+}
+
+a:hover{
+	color:#000;
+}
+
+/*	The box where all stuff in in body is generated in.*/
+#bodyContainer{
+	float:left;
+	margin-left:5em;
+	margin-top:5em;
+	width:70%;
+}
+
+/*	pinkBanner is a class for a div which contains the style settings for a header that contains h1 */
+.pinkBanner{
+	margin-bottom: 8px; 
+	width:100%; 
+	background-color:#ae2771; 
+	border:1px solid #9b195c; 
+}
+
+/*	blueBanner is a class for a div which contains the style settings for a header that contains h1 */
+.blueBanner{
+	margin-bottom: 8px;
+	margin-top: 8px;
+	width:100%; 
+	background-color:#0a68ad; 
+	border:1px solid #074877; 
+}
\ No newline at end of file

=== added file 'codeigniter/css/examplesMenu.css'
--- codeigniter/css/examplesMenu.css	1970-01-01 00:00:00 +0000
+++ codeigniter/css/examplesMenu.css	2013-04-22 09:51:59 +0000
@@ -0,0 +1,74 @@
+body {
+	font: 13px Helvetica;
+	text-shadow: 0.5px 0.5px #ddd;
+	color: #4F5155;
+}
+
+/* Wraps body content loaded after menu view */
+#wrapper{
+	margin-left: 17em;
+	margin-right: auto;
+	width:70em;
+}
+
+/* Container for menu */
+#menuContainer{
+	float:left;	
+	position:fixed;
+	width:161px;
+	background-color: #EEE;
+	margin: 10px;
+	margin-left:8.1em;
+	margin-top:5em;
+	border: 1px solid #D0D0D0;
+	border-bottom:0px;
+	-webkit-box-shadow: 0 0 8px #D0D0D0;
+}
+
+/* Menu list */
+#navigation{
+	width:136px;
+}
+
+#navigation a{
+	display:block;
+	color: #000;
+	text-decoration:none;
+	background-color: transparent;
+}	
+
+#navigation ul {
+	list-style-type:none;
+	width:100%;
+	margin:0;
+	padding:0;
+	line-height: 250%;
+}
+
+#navigation li {
+	padding-left:10px;
+	padding-right:15px;
+	width:100%;
+	border-bottom:1px solid #d0d0d0;
+	margin:0;
+}
+
+#navigation li:hover {
+	background-color: #0a68ad;
+	color: #fff;
+}	
+
+#navigation li:hover a {
+	color: #ffffff;
+}	
+
+/* Header for menu list */
+#navigation li.menuHeader{
+	width:138px;
+	margin-left:-1px;
+	font-size: 18px;
+	line-height:200%;
+	font-weight: bold;
+	color: #fff;
+	background-color: #9db400;
+}
\ No newline at end of file

=== added file 'codeigniter/css/header.css'
--- codeigniter/css/header.css	1970-01-01 00:00:00 +0000
+++ codeigniter/css/header.css	2013-04-22 09:51:59 +0000
@@ -0,0 +1,47 @@
+body{
+	margin:0;
+	padding:0;
+	overflow-x:hidden;
+}
+
+/* Header styling */
+#header{
+	position:fixed;
+	margin:0;
+	padding:0;
+	float:left;
+	width:100%;
+	height:50px;
+	border:1px solid #111111;
+	background-color: #333333;
+	-webkit-box-shadow: 0 0 8px #D0D0D0;
+}
+
+/* Container for logo */
+#logoContainer {
+	margin-top:0px;
+	margin-left:8em;
+	margin-right:2em;
+	height:50px;
+}
+
+/* Logo picture and link */
+.logo{
+	display:block;
+	position: absolute;
+	width: 162px;
+	height: 51px;
+	background-image: url(../img/logo.png);
+	background-repeat:no-repeat;
+	text-indent: -99999px; 
+}
+
+/* Course title */
+span.title{
+	line-height:200%;
+	margin-top:2em;
+	margin-left:7em;
+	color:white;
+	font-size:2em;
+	text-shadow: 0.5px 0.5px #ddd;
+}
\ No newline at end of file

=== added file 'codeigniter/img/logo.png'
Binary files codeigniter/img/logo.png and codeigniter/img/logo.png differ
=== added file 'codeigniter/js/head_tag.js'
--- codeigniter/js/head_tag.js	1970-01-01 00:00:00 +0000
+++ codeigniter/js/head_tag.js	2013-04-22 09:51:59 +0000
@@ -0,0 +1,36 @@
+$(document).ready(function(){
+	/* When menu item is clicked, scroll down to target with -64px offset. 
+	 * Target is decided according to h1[name='xxx'] instead of id. 
+	 */
+	$('a[href^="#"]').on('click',function (e) {
+	    e.preventDefault();
+	    var target = (this.hash + ', h1[name="' + this.hash.substr(1) + '"]'),
+	    $target = $(target);
+	    $('html, body').stop().animate({
+	        'scrollTop': $target.offset().top -64
+	    }, 400, 'swing', function () {
+	        window.location.hash = target;
+			removeHash();
+	    });
+	});
+});
+
+/* Function removes hash on URL */
+function removeHash() { 
+  if(window.location.hash) 
+  {
+    var scrollV, scrollH, loc = window.location;
+    if ("pushState" in history)
+        history.pushState("", document.title, loc.pathname + loc.search);
+    else {
+        // Prevent scrolling by storing the page's current scroll offset
+        scrollV = document.body.scrollTop;
+        scrollH = document.body.scrollLeft; 
+        loc.hash = "";
+
+        // Restore the scroll offset, should be flicker free
+        document.body.scrollTop = scrollV;
+        document.body.scrollLeft = scrollH;
+    }
+  }
+}
\ No newline at end of file

=== modified file 'databas.sql'
--- databas.sql	2013-04-19 11:37:52 +0000
+++ databas.sql	2013-04-22 09:13:33 +0000
@@ -268,7 +268,7 @@
 -- -------------------------------------------------
 -- Table `lenasys`.`logAssignedQuizzesAnswers`
 -- -----------------------------------------------------
-CREATE  TABLE IF NOT EXISTS `lenasys`.`logUsersQuizLogins` (
+CREATE  TABLE IF NOT EXISTS `lenasys`.`logAssignedQuizzesAnswers` (
   `id` INT NOT NULL ,
   `userName` VARCHAR(20)  NOT NULL ,
   `userAgent` VARCHAR(200) NOT NULL ,
@@ -288,7 +288,7 @@
 -- -------------------------------------------------
 -- Table `lenasys`.`logBenchmark`
 -- -----------------------------------------------------
-CREATE  TABLE IF NOT EXISTS `lenasys`.`logUsersQuizLogins` (
+CREATE  TABLE IF NOT EXISTS `lenasys`.`logBenchmark` (
   `id` INT NOT NULL ,
   `userName` VARCHAR(20) NOT NULL ,
   `userAgent` VARCHAR(200) NOT NULL ,
@@ -310,13 +310,14 @@
     UNIQUE INDEX `id_UNIQUE` (`id` ASC))
 ENGINE = InnoDB;
 -- -------------------------------------------------
+  insert into `lenasys`.`UserTypeCodes` (`userTypeCode`,`userType`) 
+  VALUES (0,'Teacher'),(1,'Student');
 
 insert into `lenasys`.`Users` (`userName`,`name`,`passwd`,`userType`,`ssn`) 
   VALUES ('sha1','Per Student',sha1('Syp9393'),1,'19900385-2345'),
   ('md5','Per Lrare',md5('Syp9393'),0,'19800385-2325');
   
-  insert into `lenasys`.`UserTypeCodes` (`userTypeCode`,`userType`) 
-  VALUES (0,'Teacher'),(1,'Student');
+
 
 -- -----------------------------------------------------
 -- allow maximum of 5 succesfull quiz-attemps is a good begining for implementation of the loggingtables to add restriction. 

